
@define-color fg_active #000000;
@define-color fg_insensitive #717170;
@define-color fg_normal #000000;
@define-color fg_prelight #000000;
@define-color fg_selected #ffffff;

@define-color bg_active #cdcdc9;
@define-color bg_insensitive #e4e4e0;
@define-color bg_normal #e4e4e0;
@define-color bg_prelight #ccc9c5;
@define-color bg_selected #3f993f;

@define-color base_active #e5e5e5;
@define-color base_insensitive #e4e4e0;
@define-color base_normal #ffffff;
@define-color base_prelight #ccc9c5;
@define-color base_selected #ccc9c5;

@define-color text_active #000000;
@define-color text_insensitive #000000;
@define-color text_normal #000000;
@define-color text_prelight #000000;
@define-color text_selected #000000;

* {
    engine: xfce;

    -xfce-smooth-edge: false;

    -GtkButton-default-border        : 0;
    -GtkButton-default-outside-border: 0;
    -GtkButton-child-displacement-x  : 1;
    -GtkButton-child-displacement-y  : 1;
    -GtkWidget-focus-line-width      : 1;
    -GtkWidget-focus-padding         : 0;
    -GtkCheckButton-indicator-size   : 15;
    -GtkMenuBar-shadow-type          : etched-in;
    -GtkRange-slider-width           : 15;
    -GtkRange-stepper-size           : 15;
    -GtkRange-trough-border          : 0;
    -GtkScrollbar-min-slider-length  : 20;
    -GtkWidget-interior-focus        : true;

    border-width: 2px 2px;

    color: @fg_normal;
    background-color: @bg_normal;
    border-color: darker(@bg_normal);
}

*:active {
    color: @fg_active;
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

*:insensitive {
    color: @fg_insensitive;
    background-color: @bg_insensitive;
    border-color: darker(@bg_insensitive);
    text-shadow: 1px 1px white;
}

*:hover {
    color: @fg_prelight;
    background-color: @bg_prelight;
    border-color: darker(@bg_prelight);
}

*:selected {
    color: @fg_selected;
    background-color: @bg_selected;
    border-color: darker(@bg_selected);
}

.view, .entry {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.view:active, .entry:active {
    color: @text_active;
    background-color: @base_active;
    border-color: darker(@bg_normal);
}

.view:insensitive, .entry:insensitive {
    color: @text_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_normal);
}

.view:hover, .entry:hover {
    color: @text_prelight;
    background-color: @base_prelight;
    border-color: darker(@bg_normal);
}

.view:selected, .entry:selected {
    color: @text_selected;
    background-color: @base_selected;
    border-color: darker(@bg_normal);
}

.view row:nth-child(odd) {
    background-color: shade(@base_normal, 0.93);
}

.view row:nth-child(odd):active {
    background-color: shade(@base_active, 0.93);
}

.view row:nth-child(odd):insensitive {
    background-color: shade(@base_insensitive, 0.93);
}

.view row:nth-child(odd):hover {
    background-color: shade(@base_prelight, 0.93);
}

.view row:nth-child(odd):selected {
    background-color: shade(@base_selected, 0.93);
}

GtkCalendar {
    color: @text_normal;
}

.button, .header {
    color: @fg_normal;
}

GtkCalendar:active {
    color: @text_active;
}

GtkCalendar:insensitive {
    color: @text_insensitive;
}

GtkCalendar:hover {
    color: @text_prelight;
}

GtkCalendar:selected {
    color: @text_selected;
}

.highlight {
    color: @text_active;
    background-color: @base_active;
}

GtkCalendar:inconsistent {
    color: mix(lighter(@bg_normal), darker(@bg_normal), 0.5);
}

GtkCalendar:selected {
    color: @text_active;
    background-color: @base_active;
}

.check, .radio {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:active, .radio:active {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:insensitive, .radio:insensitive {
    color: @text_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_insensitive);
}

.check:hover, .radio:hover {
    color: @text_prelight;
    background-color: @base_prelight;
    border-color: darker(@bg_prelight);
}

.check:selected, .radio:selected {
    color: @text_active;
    background-color: @base_active;
    border-color: darker(@bg_active);
}

.check:inconsistent, .radio:inconsistent {
    color: @fg_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:insensitive:inconsistent, .radio:insensitive:inconsistent {
    color: @fg_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_insensitive);
}

.cell {
    color: @text_normal;
}

.cell:active {
    color: @text_active;
}

.cell:insensitive {
    color: @text_insensitive;
}

.cell:hover {
    color: @text_prelight;
}

.cell:selected {
    color: @text_selected;
}

.spinbutton.button {
    color: @fg_normal;
    background-color: @bg_normal;
}

.spinbutton.button:active {
    color: @fg_active;
    background-color: @bg_active;
}

.spinbutton.button:insensitive {
    color: @fg_insensitive;
    background-color: @bg_insensitive;
}

.spinbutton.button:hover {
    color: @fg_prelight;
    background-color: @bg_prelight;
}

.spinbutton.button:selected {
    color: @fg_selected;
    background-color: @bg_selected;
}

.progressbar {
    background-color: @bg_prelight;
    border-color: darker(@bg_prelight);
}

.scale.trough, .scrollbar.trough {
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

.notebook tab, .notebook tab * {
    color: @fg_active;
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

.notebook tab:active, .notebook tab *:active {
    color: @fg_normal;
    background-color: @bg_normal;
    border-color: darker(@bg_normal);
}

.expander {
    color: @base_normal;
    border-color: @fg_normal;
}

.expander:active {
    color: @base_normal;
    border-color: @fg_normal;
}

.expander:insensitive {
    color: @base_insensitive;
    border-color: @fg_insensitive;
}

.expander:hover {
    color: @fg_prelight;
    border-color: @fg_prelight;
}

.expander:selected {
    color: @base_selected;
    border-color: @fg_selected;
}

GtkComboBox {
    padding: 0px;
}

GtkComboBox .button {
    padding: 1px;
}

.menuitem {
    border-width: 1px 1px;
}

.menuitem:hover {
    border-style: solid;
}
